from . import swift
from . import local


def get_downloader(type_name, args, kwargs):
    if type_name == 'swift':
        return swift.Downloader(*args or [], **kwargs or {})
    elif type_name == 'local':
        return local.Downloader(*args or [], **kwargs or {})

    raise Exception('Downloader type %s is not supported' % type_name)


def get_uploader(uploader_config):
    if uploader_config['type'] == 'swift':
        return swift.Uploader(**uploader_config['kwargs'])
    elif uploader_config['type'] == 'local':
        return local.Uploader(**uploader_config['kwargs'])

    raise Exception('Uploader type %s is not supported' % uploader_config['type'])
